import { AuthRepository } from '@app/domain/authentification/auth.repository';
import { LoginDto } from '@app/domain/authentification/dto/login-dto';

export class LoginUseCase {
  constructor(private readonly authRepo: AuthRepository) {}

  execute(loginDto: LoginDto) {
    return this.authRepo.login(loginDto);
  }
}
